package capitulo05.bloque01;

import capitulo04.utils.Utils;

public class Principal {
    public static void main(String[] args) {
        Persona[] personas = new Persona[3];
        for (int i = 0; i < personas.length; i++) {
            personas[i] = new Persona();
        }

        int opcion = -1;

        while (opcion != 0) {
            System.out.println("" +
                    "Agenda de contactos de 3 personas (escoja una opción):" +
                    "\n 0 - Salir" +
                    "\n 1 - Introducir los datos de las 3 personas" +
                    "\n 2 - Ver todos los datos de las 3 personas");
            opcion = Utils.solicitarIntScannerInline("> ");

            switch (opcion) {
                case 1:
                    for (int i = 0; i < personas.length; i++) {
                        System.out.println("\nIntroduzca los datos de la Persona " + (i + 1));
                        personas[i].setNombre(Utils.solicitarStringScannerInline("Nombre: "));
                        personas[i].setApellidos(Utils.solicitarStringScannerInline("Apellidos: "));
                        personas[i].setDni(Utils.solicitarStringScannerInline("DNI: "));
                        personas[i].setDireccion(Utils.solicitarStringScannerInline("Dirección: "));
                        personas[i].setTelefono(Utils.solicitarStringScannerInline("Teléfono: "));
                    }
                    break;
                case 2:
                    for (int i = 0; i < personas.length; i++) {
                        System.out.println(personas[i].toString());
                    }
            }
        }
    }
}
